import { performRequest } from "./nuxtApp.mjs";
export function useGraphqlMutation(...args) {
  const [name, body, fetchOptions = {}] = typeof args[0] === "string" ? [args[0], args[1]] : [args[0].name, args[0].variables, args[0].fetchOptions];
  return performRequest("mutation", name, "post", {
    body,
    ...fetchOptions
  });
}
