import { GraphqlMiddlewareQueryName, GetQueryArgs, QueryObjectArgs, GetQueryResult } from './shared';
import type { GraphqlMiddlewareQuery } from '#build/nuxt-graphql-middleware';
/**
 * Performs a GraphQL query.
 */
export declare function useGraphqlQuery<T extends GraphqlMiddlewareQueryName>(...args: GetQueryArgs<T, GraphqlMiddlewareQuery> | [QueryObjectArgs<T, GraphqlMiddlewareQuery>]): Promise<GetQueryResult<T, GraphqlMiddlewareQuery>>;
