import { buildRequestParams } from "./../helpers/index.mjs";
import { performRequest } from "./nuxtApp.mjs";
export function useGraphqlQuery(...args) {
  const [name, variables, fetchOptions = {}] = typeof args[0] === "string" ? [args[0], args[1]] : [args[0].name, args[0].variables, args[0].fetchOptions];
  return performRequest("query", name, "get", {
    params: buildRequestParams(variables),
    ...fetchOptions
  });
}
