import { GraphqlMiddlewareMutationName, GetMutationArgs, MutationObjectArgs, GetMutationResult } from './shared';
import type { GraphqlMiddlewareMutation } from '#build/nuxt-graphql-middleware';
/**
 * Performs a GraphQL mutation.
 */
export declare function useGraphqlMutation<T extends GraphqlMiddlewareMutationName>(...args: GetMutationArgs<T, GraphqlMiddlewareMutation> | [MutationObjectArgs<T, GraphqlMiddlewareMutation>]): Promise<GetMutationResult<T, GraphqlMiddlewareMutation>>;
